<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: SFB.IStandaloneFileBrowser Interface Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('interface_s_f_b_1_1_i_standalone_file_browser.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="interface_s_f_b_1_1_i_standalone_file_browser-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">SFB.IStandaloneFileBrowser Interface Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3410fc64e2c772d1821d6f26aaf7897f"><td class="memItemLeft" align="right" valign="top"><a id="a3410fc64e2c772d1821d6f26aaf7897f" name="a3410fc64e2c772d1821d6f26aaf7897f"></a>
string[]&#160;</td><td class="memItemRight" valign="bottom"><b>OpenFilePanel</b> (string title, string directory, <a class="el" href="struct_s_f_b_1_1_extension_filter.html">ExtensionFilter</a>[] extensions, bool multiselect)</td></tr>
<tr class="separator:a3410fc64e2c772d1821d6f26aaf7897f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37f6b13afb524881a2f3e8dc1fe1f65d"><td class="memItemLeft" align="right" valign="top"><a id="a37f6b13afb524881a2f3e8dc1fe1f65d" name="a37f6b13afb524881a2f3e8dc1fe1f65d"></a>
string[]&#160;</td><td class="memItemRight" valign="bottom"><b>OpenFolderPanel</b> (string title, string directory, bool multiselect)</td></tr>
<tr class="separator:a37f6b13afb524881a2f3e8dc1fe1f65d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0562573c818a6f48c37b2963e3a7b748"><td class="memItemLeft" align="right" valign="top"><a id="a0562573c818a6f48c37b2963e3a7b748" name="a0562573c818a6f48c37b2963e3a7b748"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>SaveFilePanel</b> (string title, string directory, string defaultName, <a class="el" href="struct_s_f_b_1_1_extension_filter.html">ExtensionFilter</a>[] extensions)</td></tr>
<tr class="separator:a0562573c818a6f48c37b2963e3a7b748"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ac00f91d78216c802bac22df3832777"><td class="memItemLeft" align="right" valign="top"><a id="a1ac00f91d78216c802bac22df3832777" name="a1ac00f91d78216c802bac22df3832777"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OpenFilePanelAsync</b> (string title, string directory, <a class="el" href="struct_s_f_b_1_1_extension_filter.html">ExtensionFilter</a>[] extensions, bool multiselect, Action&lt; string[]&gt; cb)</td></tr>
<tr class="separator:a1ac00f91d78216c802bac22df3832777"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b622de6b01c716eff7eaee955b59a36"><td class="memItemLeft" align="right" valign="top"><a id="a9b622de6b01c716eff7eaee955b59a36" name="a9b622de6b01c716eff7eaee955b59a36"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OpenFolderPanelAsync</b> (string title, string directory, bool multiselect, Action&lt; string[]&gt; cb)</td></tr>
<tr class="separator:a9b622de6b01c716eff7eaee955b59a36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a112db8b391e2026b461426f30f09e8fa"><td class="memItemLeft" align="right" valign="top"><a id="a112db8b391e2026b461426f30f09e8fa" name="a112db8b391e2026b461426f30f09e8fa"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SaveFilePanelAsync</b> (string title, string directory, string defaultName, <a class="el" href="struct_s_f_b_1_1_extension_filter.html">ExtensionFilter</a>[] extensions, Action&lt; string &gt; cb)</td></tr>
<tr class="separator:a112db8b391e2026b461426f30f09e8fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this interface was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/StandaloneFileBrowser/<a class="el" href="_i_standalone_file_browser_8cs.html">IStandaloneFileBrowser.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_s_f_b.html">SFB</a></li><li class="navelem"><a class="el" href="interface_s_f_b_1_1_i_standalone_file_browser.html">IStandaloneFileBrowser</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:22 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
